//Signal_Processing_Supplementary_toolbox
//
// Copyright (c) by Y. K. Singh, CDAC, Kolkata.  2012
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
////////////////////////////////////////////////////////////////////////////

function [x] = icceps(xhat,nd)
x=[];
[%nargout,%nargin] = argn(0)
mode(0);
if %nargin<2 then
  nd = 0;
end
logh =fft(xhat,-1);
h = exp(real(logh)+%i*rcwrap(imag(logh),nd));
x = real(fft(h,1));

endfunction

function [x] = rcwrap(y,nd)

x=[];
mode(0);
n = length(y);
nh = fix((n+1)/2);
x = y(:).'+%pi*nd*(0:(n-1))/nh;
if size(y,2)==1 then
  x = x.';
end
endfunction
