function [b] = latc2dir(K)
//
// All-Zero Lattice form to FIR Direct form Conversion
// K = Lattice filter coefficients (reflection coefficients)
// b = FIR direct form coefficients (impulse response)
//

L = length(K);
j = 1;
A = 1;
for i=2:1:L
A = [A,0]+convol([0,K(i)],j);
j = (A($:-1:1));
end
b=A*K(1);
endfunction