//////////////////////////////////////////////////////////////////////////// 
// Signal_Processing_Supplementary_toolbox
//
// Copyright (c) by Y. K. Singh, CDAC, Kolkata.  2012
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
////////////////////////////////////////////////////////////////////////////

function [xhat, yhat] = rceps(x)
    [%nargout, %nargin]=argn(0);
    n = length(x);
xhat = real(fft(log(abs(fft(x,-1))),1));
if %nargout > 1 then
   odd = fix(rem(n,2));
//   odd=n-fix(n./2).*2;
   disp(odd);
   wn = [1; 2*ones((n+odd)/2-1,1) ; ones(1-rem(n,2),1); zeros((n+odd)/2-1,1)];
   [m1,n1]=size(x);
   yhat = zeros(m1,n1);
   yhat(:) = real(fft(exp(fft(wn.*xhat(:),-1)),1));
end
endfunction

function z=rem(x,y)
    z=x-fix(x./y).*y
endfunction
