// Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
// Copyright (C) 2008 - INRIA - Allan CORNET
// Copyright (C) 2011 - DIGITEO - Allan CORNET
//
// This file is released under the 3-clause BSD license. See COPYING-BSD.

function subdemolist = demo_gateway()
  demopath = get_absolute_file_path("Signal_Processing_Supplementary_toolbox.dem.gateway.sce");

  subdemolist = ["demo cceps" ,"cceps.dem.sce";   
                 "demo icceps" ,"icceps.dem.sce"; 
                 "demo buttord"                  ,"buttord.dem.sce" ;
                 "demo dir2ladr"                  ,"dir2ladr.dem.sce" ;
                "demo rceps","rceps.dem.sce";
                "demo cheb1ord","cheb1ord.dem.sce";
                "demo cheb2ord","cheb2ord.dem.sce";
                "demo ellipord","ellipord.dem.sce";
                "demo prony","prony.dem.sce";
                "demo stmcb","stmcb.dem.sce";];

  subdemolist(:,2) = demopath + subdemolist(:,2);
  
endfunction

subdemolist = demo_gateway();
clear demo_gateway; // remove demo_gateway on stack
