//Signal_Processing_Supplementary_toolbox
//
// Copyright (c) by Y. K. Singh, CDAC, Kolkata.  2012
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
////////////////////////////////////////////////////////////////////////////

function [a,b]=prony(h,nb,na)
    k=length(h)-1;
    if k<=max(nb,na) then
        k=max(nb,na)+1;
        h(k+1)=0; // padding with zeros
    end
    d=h(1);
    if h(1)==0 then
        d=1;
    end
    h=h/d;
    h=toeplitz(h,[1 zeros(1,k)]);
    h1=h(1:(nb+1),1:(na+1));
     h2=h((nb+2):(k+1),1);
    h3=h((nb+2):(k+1),2:(na+1));
    b=[1; -h3\h2].';
    a=d*b*h1.';
endfunction